using DressAtelierListImplement.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DressAtelierListImplement
{
    public class DataListSingleton
    {
        private static DataListSingleton? _instance;
        public List<Material> Components { get; set; }
        public List<Order> Orders { get; set; }
        public List<Dress> Dresses { get; set; }
        public List<Client> Clients { get; set; }
        public List<Employee> Employees { get; set; }
        private DataListSingleton()
        {
            Components = new List<Material>();
            Orders = new List<Order>();
            Dresses = new List<Dress>();
            Clients = new List<Client>();
            Employees = new List<Employee>();
        }
        public static DataListSingleton GetInstance()
        {
            if (_instance == null)
            {
                _instance = new DataListSingleton();
            }
            return _instance;
        }
    }
}
